Option Explicit

Global Const BLACK = &H0&
Global Const WHITE = &HFFFFFF
Global Const LTBLUE = &HFFFF00

Sub CenterForm (TGT As Form)
  
  TGT.Left = (Screen.Width - TGT.Width) / 2
  TGT.Top = (Screen.Height - TGT.Height) / 2
  
End Sub

Sub DrawChart (TGT As Form)

  TGT.ScaleTop = 0
  TGT.ScaleHeight = 100
  TGT.ScaleLeft = 0
  TGT.ScaleWidth = 100

  TGT!itgOrgChart.Top = 0
  TGT!itgOrgChart.Height = 100
  TGT!itgOrgChart.Left = 0
  TGT!itgOrgChart.Width = 100
  
End Sub

Sub Main ()
  Dim FRM As Form

  Set FRM = New frmOrgChart
'Initialize File menu items.
  FRM!File_Print.Enabled = False

'Initialize Edit menu items.
  FRM!Edit_Delete.Enabled = False
  FRM!Edit_ClearText.Enabled = False

'Initialize Appearance menu items.
  FRM!itgOrgChart.DragItems = False
  FRM!App_Mouse_MoveNodes.Checked = False
  FRM!App_Mouse_Connect.Checked = True
  FRM.Width = 640 * Screen.TwipsPerPixelX
  FRM.Height = 480 * Screen.TwipsPerPixelY
  FRM!App_ScrSize_Standard.Checked = True
  FRM!itgOrgChart.XSpan = 150
  FRM!itgOrgChart.YSpan = 50
  FRM!App_Size_Small.Checked = True

'Initialize Arrange menu items.
  FRM!Arrange_OnNewConn.Checked = True
  FRM!itgOrgChart.AutoArrange = ITG_AutoArrange
  
  Call CenterForm(FRM)
  Call DrawChart(FRM)
  
  FRM.Show

End Sub

